# ion-label



<!-- Auto Generated Below -->


## Properties

#### color

string

The color to use from your Sass `$colors` map.
Default options are: `"primary"`, `"secondary"`, `"tertiary"`, `"success"`, `"warning"`, `"danger"`, `"light"`, `"medium"`, and `"dark"`.
For more information, see [Theming your App](/docs/theming/theming-your-app).


#### fixed

boolean

If true, the label will sit alongside an input. Defaults to `false`.


#### floating

boolean

If true, the label will float above an input when the value is empty or the input is focused. Defaults to `false`.


#### mode



The mode determines which platform styles to use.
Possible values are: `"ios"` or `"md"`.
For more information, see [Platform Styles](/docs/theming/platform-specific-styles).


#### stacked

boolean

If true, the label will be stacked above an input. Defaults to `false`.


## Attributes

#### color

string

The color to use from your Sass `$colors` map.
Default options are: `"primary"`, `"secondary"`, `"tertiary"`, `"success"`, `"warning"`, `"danger"`, `"light"`, `"medium"`, and `"dark"`.
For more information, see [Theming your App](/docs/theming/theming-your-app).


#### fixed

boolean

If true, the label will sit alongside an input. Defaults to `false`.


#### floating

boolean

If true, the label will float above an input when the value is empty or the input is focused. Defaults to `false`.


#### mode



The mode determines which platform styles to use.
Possible values are: `"ios"` or `"md"`.
For more information, see [Platform Styles](/docs/theming/platform-specific-styles).


#### stacked

boolean

If true, the label will be stacked above an input. Defaults to `false`.


## Events

#### ionStyle

Emitted when the styles change.


## Methods

#### getText()



----------------------------------------------

*Built with [StencilJS](https://stenciljs.com/)*
